<!ELEMENT Adr1 EMPTY >
<!ATTLIST Adr1 V CDATA #REQUIRED >

<!ELEMENT Adresse ( TypAdr?, Adr1?, CP?, Ville?, CodRes? ) >
<!ATTLIST Adresse V CDATA #IMPLIED >

<!ELEMENT BlocBordereau ( Exer, IdBord, DteBordEm, TypBord, NbrPce, MtBordHt, MtBordTVA ) >

<!ELEMENT BlocLignePiece ( InfoLignePiece ) >

<!ELEMENT BlocPiece ( CodServ, IdPce, TypPce, NatPce, PJRef ) >

<!ELEMENT Bordereau ( BlocBordereau, Piece ) >
<!ATTLIST Bordereau Id NMTOKEN #REQUIRED >

<!ELEMENT CP EMPTY >
<!ATTLIST CP V NMTOKEN #REQUIRED >

<!ELEMENT CatTiers EMPTY >
<!ATTLIST CatTiers V NMTOKEN #REQUIRED >

<!ELEMENT CodBud EMPTY >
<!ATTLIST CodBud V NMTOKEN #REQUIRED >

<!ELEMENT CodCol EMPTY >
<!ATTLIST CodCol V NMTOKEN #REQUIRED >

<!ELEMENT CodProdLoc EMPTY >
<!ATTLIST CodProdLoc V NMTOKEN #REQUIRED >

<!ELEMENT CodRes EMPTY >
<!ATTLIST CodRes V NMTOKEN #REQUIRED >

<!ELEMENT CodServ EMPTY >
<!ATTLIST CodServ V NMTOKEN #REQUIRED >

<!ELEMENT Contenu ( xenc:EncryptedData ) >

<!ELEMENT Description EMPTY >
<!ATTLIST Description V NMTOKEN #REQUIRED >

<!ELEMENT DteBordEm EMPTY >
<!ATTLIST DteBordEm V NMTOKEN #REQUIRED >

<!ELEMENT DteStr EMPTY >
<!ATTLIST DteStr V NMTOKEN #REQUIRED >

<!ELEMENT Emetteur ( Sigle, Adresse ) >

<!ELEMENT EnTetePES ( DteStr, IdPost, LibellePoste, IdColl, CodCol, CodBud, LibelleColBud ) >

<!ELEMENT EnTetePES_PJ ( IdVer ) >

<!ELEMENT EnTeteRecette ( IdVer, InfoDematerialisee ) >

<!ELEMENT Enveloppe ( Parametres, Emetteur, Recepteur ) >

<!ELEMENT Exer EMPTY >
<!ATTLIST Exer V NMTOKEN #REQUIRED >

<!ELEMENT Fonction EMPTY >
<!ATTLIST Fonction V NMTOKEN #REQUIRED >

<!ELEMENT IdBord EMPTY >
<!ATTLIST IdBord V NMTOKEN #REQUIRED >

<!ELEMENT IdColl EMPTY >
<!ATTLIST IdColl V NMTOKEN #REQUIRED >

<!ELEMENT IdLigne EMPTY >
<!ATTLIST IdLigne V NMTOKEN #REQUIRED >

<!ELEMENT IdPce EMPTY >
<!ATTLIST IdPce V NMTOKEN #REQUIRED >

<!ELEMENT IdPost EMPTY >
<!ATTLIST IdPost V NMTOKEN #REQUIRED >

<!ELEMENT IdUnique EMPTY >
<!ATTLIST IdUnique V NMTOKEN #REQUIRED >

<!ELEMENT IdVer EMPTY >
<!ATTLIST IdVer V NMTOKEN #REQUIRED >

<!ELEMENT InfoDematerialisee EMPTY >
<!ATTLIST InfoDematerialisee V NMTOKEN #REQUIRED >

<!ELEMENT InfoLignePiece ( IdLigne, CodProdLoc, Nature, Fonction, Operation, Majo, TvaIntraCom, MtHT, MtTVA ) >

<!ELEMENT InfoTiers ( RefTiers, CatTiers, NatJur, TypTiers, Nom ) >

<!ELEMENT LibelleColBud EMPTY >
<!ATTLIST LibelleColBud V CDATA #REQUIRED >

<!ELEMENT LibellePoste EMPTY >
<!ATTLIST LibellePoste V NMTOKEN #REQUIRED >

<!ELEMENT LigneDePiece ( BlocLignePiece, Tiers ) >

<!ELEMENT Majo EMPTY >
<!ATTLIST Majo V NMTOKEN #REQUIRED >

<!ELEMENT MtBordHt EMPTY >
<!ATTLIST MtBordHt V NMTOKEN #REQUIRED >

<!ELEMENT MtBordTVA EMPTY >
<!ATTLIST MtBordTVA V NMTOKEN #REQUIRED >

<!ELEMENT MtHT EMPTY >
<!ATTLIST MtHT V NMTOKEN #REQUIRED >

<!ELEMENT MtTVA EMPTY >
<!ATTLIST MtTVA V NMTOKEN #REQUIRED >

<!ELEMENT NatJur EMPTY >
<!ATTLIST NatJur V NMTOKEN #REQUIRED >

<!ELEMENT NatPce EMPTY >
<!ATTLIST NatPce V NMTOKEN #REQUIRED >

<!ELEMENT Nature EMPTY >
<!ATTLIST Nature V NMTOKEN #REQUIRED >

<!ELEMENT NbrPce EMPTY >
<!ATTLIST NbrPce V NMTOKEN #REQUIRED >

<!ELEMENT Nom EMPTY >
<!ATTLIST Nom V CDATA #REQUIRED >

<!ELEMENT NomFic EMPTY >
<!ATTLIST NomFic V NMTOKEN #REQUIRED >

<!ELEMENT NomPJ EMPTY >
<!ATTLIST NomPJ V CDATA #REQUIRED >

<!ELEMENT Operation EMPTY >
<!ATTLIST Operation V NMTOKEN #REQUIRED >

<!ELEMENT PES_PJ ( EnTetePES_PJ, PJ ) >

<!ELEMENT PES_RecetteAller ( EnTeteRecette, Bordereau ) >

<!ELEMENT PJ ( Contenu, IdUnique, NomPJ, TypePJ, Description ) >

<!ELEMENT PJRef ( Support, IdUnique ) >

<!ELEMENT Parametres ( Version, NomFic, TypFic ) >

<!ELEMENT Piece ( BlocPiece, LigneDePiece ) >

<!ELEMENT Recepteur ( Sigle, Adresse ) >

<!ELEMENT RefTiers EMPTY >
<!ATTLIST RefTiers V NMTOKEN #REQUIRED >

<!ELEMENT Sigle EMPTY >
<!ATTLIST Sigle V CDATA #REQUIRED >

<!ELEMENT Support EMPTY >
<!ATTLIST Support V NMTOKEN #REQUIRED >

<!ELEMENT Tiers ( InfoTiers, Adresse ) >

<!ELEMENT TvaIntraCom EMPTY >
<!ATTLIST TvaIntraCom V NMTOKEN #REQUIRED >

<!ELEMENT TypAdr EMPTY >
<!ATTLIST TypAdr V NMTOKEN #REQUIRED >

<!ELEMENT TypBord EMPTY >
<!ATTLIST TypBord V NMTOKEN #REQUIRED >

<!ELEMENT TypFic EMPTY >
<!ATTLIST TypFic V NMTOKEN #REQUIRED >

<!ELEMENT TypPce EMPTY >
<!ATTLIST TypPce V NMTOKEN #REQUIRED >

<!ELEMENT TypTiers EMPTY >
<!ATTLIST TypTiers V NMTOKEN #REQUIRED >

<!ELEMENT TypePJ EMPTY >
<!ATTLIST TypePJ V NMTOKEN #REQUIRED >

<!ELEMENT Version EMPTY >
<!ATTLIST Version V NMTOKEN #REQUIRED >

<!ELEMENT Ville EMPTY >
<!ATTLIST Ville V NMTOKEN #REQUIRED >

<!ELEMENT ds:CanonicalizationMethod EMPTY >
<!ATTLIST ds:CanonicalizationMethod Algorithm CDATA #REQUIRED >

<!ELEMENT ds:DigestMethod EMPTY >
<!ATTLIST ds:DigestMethod Algorithm CDATA #REQUIRED >

<!ELEMENT ds:DigestValue ( #PCDATA ) >

<!ELEMENT ds:KeyInfo ( ds:KeyName | ds:X509Data | xenc:EncryptedKey )* >
<!ATTLIST ds:KeyInfo xmlns:ds CDATA #IMPLIED >

<!ELEMENT ds:KeyName ( #PCDATA ) >

<!ELEMENT ds:Object ( xad:QualifyingProperties, xch:SignatureCreationApplication ) >

<!ELEMENT ds:Reference ( ds:Transforms, ds:DigestMethod, ds:DigestValue ) >
<!ATTLIST ds:Reference Type CDATA #IMPLIED >
<!ATTLIST ds:Reference URI CDATA #REQUIRED >

<!ELEMENT ds:Signature ( ds:SignedInfo, ds:SignatureValue, ds:KeyInfo, ds:Object ) >
<!ATTLIST ds:Signature Id NMTOKEN #REQUIRED >
<!ATTLIST ds:Signature xmlns:ds CDATA #REQUIRED >
<!ATTLIST ds:Signature xmlns:xad CDATA #REQUIRED >
<!ATTLIST ds:Signature xmlns:xch CDATA #REQUIRED >

<!ELEMENT ds:SignatureMethod EMPTY >
<!ATTLIST ds:SignatureMethod Algorithm CDATA #REQUIRED >

<!ELEMENT ds:SignatureValue ( #PCDATA ) >

<!ELEMENT ds:SignedInfo ( ds:CanonicalizationMethod, ds:SignatureMethod, ds:Reference+ ) >

<!ELEMENT ds:Transform ( ds:XPath? ) >
<!ATTLIST ds:Transform Algorithm CDATA #REQUIRED >

<!ELEMENT ds:Transforms ( ds:Transform+ ) >

<!ELEMENT ds:X509Certificate ( #PCDATA ) >

<!ELEMENT ds:X509Data ( ds:X509Certificate ) >

<!ELEMENT ds:X509IssuerName ( #PCDATA ) >

<!ELEMENT ds:X509SerialNumber ( #PCDATA ) >

<!ELEMENT ds:XPath ( #PCDATA ) >

<!ELEMENT n:PES_Aller ( Enveloppe, EnTetePES, PES_RecetteAller, PES_PJ, ds:Signature ) >
<!ATTLIST n:PES_Aller Id ID  #REQUIRED >
<!ATTLIST n:PES_Aller xmlns:n CDATA #REQUIRED >
<!ATTLIST n:PES_Aller xmlns:xch CDATA #REQUIRED >
<!ATTLIST n:PES_Aller xmlns:xsi CDATA #REQUIRED >
<!ATTLIST n:PES_Aller xsi:schemaLocation CDATA #REQUIRED >

<!ELEMENT xad:Cert ( xad:CertDigest, xad:IssuerSerial ) >

<!ELEMENT xad:CertDigest ( xad:DigestMethod, xad:DigestValue ) >

<!ELEMENT xad:City ( #PCDATA ) >

<!ELEMENT xad:ClaimedRole ( #PCDATA ) >

<!ELEMENT xad:ClaimedRoles ( xad:ClaimedRole ) >

<!ELEMENT xad:CountryName ( #PCDATA ) >

<!ELEMENT xad:Description ( #PCDATA ) >

<!ELEMENT xad:DigestMethod EMPTY >
<!ATTLIST xad:DigestMethod Algorithm CDATA #REQUIRED >

<!ELEMENT xad:DigestValue ( #PCDATA ) >

<!ELEMENT xad:Identifier ( #PCDATA ) >

<!ELEMENT xad:IssuerSerial ( ds:X509IssuerName, ds:X509SerialNumber ) >

<!ELEMENT xad:PostalCode ( #PCDATA ) >

<!ELEMENT xad:QualifyingProperties ( xad:SignedProperties ) >
<!ATTLIST xad:QualifyingProperties Target CDATA #REQUIRED >

<!ELEMENT xad:SPURI ( #PCDATA ) >

<!ELEMENT xad:SigPolicyHash ( xad:DigestMethod, xad:DigestValue ) >

<!ELEMENT xad:SigPolicyId ( xad:Identifier, xad:Description ) >

<!ELEMENT xad:SigPolicyQualifier ( xad:SPURI ) >

<!ELEMENT xad:SigPolicyQualifiers ( xad:SigPolicyQualifier ) >

<!ELEMENT xad:SignaturePolicyId ( xad:SigPolicyId, xad:SigPolicyHash, xad:SigPolicyQualifiers ) >

<!ELEMENT xad:SignaturePolicyIdentifier ( xad:SignaturePolicyId ) >

<!ELEMENT xad:SignatureProductionPlace ( xad:City, xad:PostalCode, xad:CountryName ) >

<!ELEMENT xad:SignedProperties ( xad:SignedSignatureProperties ) >
<!ATTLIST xad:SignedProperties Id NMTOKEN #REQUIRED >

<!ELEMENT xad:SignedSignatureProperties ( xad:SigningTime, xad:SigningCertificate, xad:SignaturePolicyIdentifier, xad:SignatureProductionPlace, xad:SignerRole ) >

<!ELEMENT xad:SignerRole ( xad:ClaimedRoles ) >

<!ELEMENT xad:SigningCertificate ( xad:Cert ) >

<!ELEMENT xad:SigningTime ( #PCDATA ) >

<!ELEMENT xch:AppEditor ( #PCDATA ) >

<!ELEMENT xch:AppName ( #PCDATA ) >

<!ELEMENT xch:AppType ( #PCDATA ) >

<!ELEMENT xch:AppVersion ( #PCDATA ) >

<!ELEMENT xch:Application ( xch:AppType, xch:AppName, xch:AppEditor, xch:AppVersion ) >

<!ELEMENT xch:FASTAppType ( #PCDATA ) >

<!ELEMENT xch:OS ( xch:OSName, xch:OSEditor, xch:OSVersion ) >

<!ELEMENT xch:OSEditor ( #PCDATA ) >

<!ELEMENT xch:OSName ( #PCDATA ) >

<!ELEMENT xch:OSVersion ( #PCDATA ) >

<!ELEMENT xch:SignatureCreationApplication ( xch:FASTAppType, xch:Application, xch:OS ) >

<!ELEMENT xenc:CipherData ( xenc:CipherValue ) >

<!ELEMENT xenc:CipherValue ( #PCDATA ) >

<!ELEMENT xenc:EncryptedData ( xenc:EncryptionMethod, ds:KeyInfo, xenc:CipherData ) >
<!ATTLIST xenc:EncryptedData Type CDATA #REQUIRED >
<!ATTLIST xenc:EncryptedData xmlns:xenc CDATA #REQUIRED >

<!ELEMENT xenc:EncryptedKey ( xenc:EncryptionMethod, xenc:CipherData ) >

<!ELEMENT xenc:EncryptionMethod EMPTY >
<!ATTLIST xenc:EncryptionMethod Algorithm CDATA #REQUIRED >

